<template>
  <two-panes
    left-caption="сервисы"
    right-caption="поля карточки участника/ресурса"
  >
    <template v-slot:left>
      <services-list
        @selection-changed="onSelectionChanged"
      />
    </template>
    <template v-slot:right>
      <service-cards
        :data-source="dataSource"
      />
    </template>
  </two-panes>
</template>

<script>
import TwoPanes from 'common-components/src/obComponents/obTwoPanels';
import ServicesList from './modal/ServicesList';
import ServiceCards from './modal/ServiceCards';

const serviceCardList = [
  {
    uuid: 'sa605482-cf57-4be4-b1cc-8224671320960',
    serviceUuid: 'sa82',
    detectData: true,
    responseData: false,
    organizationForm: 'Все',
    fieldName: 'Наименование',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf56-4be4-b1cc-8224671320960',
    serviceUuid: 'sa82',
    detectData: true,
    responseData: false,
    organizationForm: 'ИП',
    fieldName: 'ИНН',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf55-4be4-b1cc-8224671320960',
    serviceUuid: 'sa82',
    detectData: false,
    responseData: false,
    organizationForm: 'Юр. лицо',
    fieldName: 'КПП',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf54-4be4-b1cc-8224671320960',
    serviceUuid: 'sa82',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Наличие недостоверных сведений',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf53-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Дата регистрации организации',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf52-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Виды деятельности',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf51-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Массовая регистрация',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf50-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Фамилия ген. директора',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf47-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Имя ген. директора',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf46-4be4-b1cc-8224671320960',
    serviceUuid: 'sa81',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Отчество ген. директора',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf49-4be4-b1cc-8224671320960',
    serviceUuid: 'sa83',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Дата рождения ген. директора',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf48-4be4-b1cc-8224671320960',
    serviceUuid: 'sa83',
    detectData: true,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Серия и № паспорта ген. директора',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf44-4be4-b1cc-8224671320960',
    serviceUuid: 'sa83',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Налоговая задолженность',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf43-4be4-b1cc-8224671320960',
    serviceUuid: 'sa83',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Дебиторская задолженность',
    countryName: 'Россия',
    cardName: 'Организация'
  },
  {
    uuid: 'sa605482-cf42-4be4-b1cc-8224671320960',
    serviceUuid: 'sa83',
    detectData: false,
    responseData: true,
    organizationForm: 'Все',
    fieldName: 'Организация банкрот',
    countryName: 'Россия',
    cardName: 'Организация'
  }
];

export default {
  name: 'ServicesIndex',
  components: {
    ServiceCards,
    ServicesList,
    TwoPanes
  },
  mounted() {
    this.onSelectionChanged(this.dataSource[0]);
  },
  data() {
    return {
      dataSource: serviceCardList,
      serviceCards: []
    };
  },
  methods: {
    onSelectionChanged(data) {
      console.warn('onSelectionChanged', data);
      this.serviceCards = this.getServiceCards(data.uuid);
    },
    getServiceCards(serviceUUID) {
      return serviceCardList.filter(card => {
        return card.serviceUuid === serviceUUID;
      });
    }
  }
};
</script>

